## f_utime

The f_utime function changes the timestamp of a file or sub-directory.

    FRESULT f_utime (
      const TCHAR* path,  /* [IN] Object name */
      const FILINFO* fno  /* [IN] Time and data to be set */
    );

#### Parameters

path
  Pointer to the null-terminated string that specifies an object to be changed.
fno
  Pointer to the file information structure that has a timestamp to be set in member fdate and ftime. Do not care any other members.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_NO_FILE, FR_NO_PATH, FR_INVALID_NAME, FR_WRITE_PROTECTED, FR_INVALID_DRIVE, FR_NOT_ENABLED, FR_NO_FILESYSTEM, FR_TIMEOUT, FR_NOT_ENOUGH_CORE

#### Description

The `f_utime()` function changes the timestamp of a file or sub-directory

#### Example

    FRESULT set_timestamp (
        char *obj,     /* Pointer to the file name */
        int year,
        int month,
        int mday,
        int hour,
        int min,
        int sec
    )
    {
        FILINFO fno;

        fno.fdate = (WORD)(((year - 1980) * 512U) | month * 32U | mday);
        fno.ftime = (WORD)(hour * 2048U | min * 32U | sec / 2U);

        return f_utime(obj, &fno);
    }

#### QuickInfo

Available when `_FS_READONLY == 0` and `_FS_MINIMIZE == 0`.

#### See Also

`f_stat, FILINFO`

Return